## muparser 1.28

=== Makefile ===
# =========================================================================
#     This makefile was generated by
#     Bakefile 0.2.1 (http://bakefile.sourceforge.net)
#     Do not modify, all changes will be overwritten!
# =========================================================================




prefix = /usr/local
exec_prefix = ${prefix}
INSTALL = /usr/bin/install -c
SHARED_LD_CXX = $(CXX) -shared -fPIC -o
LIBEXT = .a
LIBPREFIX = lib
SO_SUFFIX = so
DLLIMP_SUFFIX = so
EXEEXT = 
LN_S = ln -s
SETFILE = 
PIC_FLAG = -fPIC -DPIC
SONAME_FLAG = -Wl,-soname,
STRIP = strip
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DIR = $(INSTALL) -d
BK_DEPS = /home/user/muparser_v128/bk-deps
srcdir = .
top_builddir = .
libdir = ${exec_prefix}/lib
DLLPREFIX = lib
LIBS = 
AR = ar
AROPTIONS = rcu
RANLIB = ranlib
CXX = g++
CXXFLAGS =  -O2
CPPFLAGS = 
LDFLAGS = 

### Variables: ###

DESTDIR = 
MUPARSER_LIB_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
	-I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
MUPARSER_LIB_OBJECTS =  \
	muParser_lib_muParserBytecode.o \
	muParser_lib_muParserTest.o \
	muParser_lib_muParser.o \
	muParser_lib_muParserDLL.o \
	muParser_lib_muParserInt.o \
	muParser_lib_muParserTokenReader.o \
	muParser_lib_muParserError.o \
	muParser_lib_muParserCallback.o \
	muParser_lib_muParserBase.o
MUPARSER_LIB_HEADERS =  \
	include/muParserError.h \
	include/muParserFixes.h \
	include/muParserStack.h \
	include/muParserBytecode.h \
	include/muParserToken.h \
	include/muParserBase.h \
	include/muParserTest.h \
	include/muParserTokenReader.h \
	include/muParserCallback.h \
	include/muParser.h \
	include/muParserDLL.h \
	include/muParserDef.h \
	include/muParserInt.h
MUPARSER_DLL_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
	-I$(srcdir)/include $(PIC_FLAG) $(CPPFLAGS) $(CXXFLAGS)
MUPARSER_DLL_OBJECTS =  \
	muParser_dll_muParserBytecode.o \
	muParser_dll_muParserTest.o \
	muParser_dll_muParser.o \
	muParser_dll_muParserDLL.o \
	muParser_dll_muParserInt.o \
	muParser_dll_muParserTokenReader.o \
	muParser_dll_muParserError.o \
	muParser_dll_muParserCallback.o \
	muParser_dll_muParserBase.o
MUPARSER_DLL_HEADERS =  \
	include/muParserError.h \
	include/muParserFixes.h \
	include/muParserStack.h \
	include/muParserBytecode.h \
	include/muParserToken.h \
	include/muParserBase.h \
	include/muParserTest.h \
	include/muParserTokenReader.h \
	include/muParserCallback.h \
	include/muParser.h \
	include/muParserDLL.h \
	include/muParserDef.h \
	include/muParserInt.h
EXAMPLE1_CXXFLAGS = $(____DEBUG) -I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
EXAMPLE1_OBJECTS =  \
	example1_Example1.o

### Conditionally set variables: ###

#CXXC = $(CXX)
CXXC = $(BK_DEPS) $(CXX)
DEBUG_BUILD_POSTFIX = 
#DEBUG_BUILD_POSTFIX = d
#__muParser_lib___depname = \
#	$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
#__install_muParser_lib___depname = install_muParser_lib
#__uninstall_muParser_lib___depname = uninstall_muParser_lib
#__install_muParser_lib_headers___depname = \
#	install_muParser_lib_headers
#__uninstall_muParser_lib_headers___depname = \
#	uninstall_muParser_lib_headers
COND_SHARED_1___muParser_dll___depname = \
	$(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
__muParser_dll___depname = $(COND_SHARED_1___muParser_dll___depname)
__install_muParser_dll___depname = install_muParser_dll
__uninstall_muParser_dll___depname = uninstall_muParser_dll
COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd = -install_name \
	$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
#__muParser_dll___macinstnamecmd = $(COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd)
__install_muParser_dll_headers___depname = \
	install_muParser_dll_headers
__uninstall_muParser_dll_headers___depname = \
	uninstall_muParser_dll_headers
COND_PLATFORM_OS2_1___muParser_dll___importlib = -import \
	$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
#__muParser_dll___importlib = $(COND_PLATFORM_OS2_1___muParser_dll___importlib)
COND_WINDOWS_IMPLIB_1___muParser_dll___importlib = \
	-Wl,--out-implib=$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
#__muParser_dll___importlib = $(COND_WINDOWS_IMPLIB_1___muParser_dll___importlib)
__muParser_dll___targetsuf2 \
	= .$(SO_SUFFIX).0
#__muParser_dll___targetsuf2 \
#	= .0.$(SO_SUFFIX)
#__muParser_dll___targetsuf2 = .$(SO_SUFFIX)
__muParser_dll___targetsuf3 \
	= \
	.$(SO_SUFFIX).0.0.0
#__muParser_dll___targetsuf3 \
#	= .0.0.0.$(SO_SUFFIX)
#__muParser_dll___targetsuf3 \
#	= -0.$(SO_SUFFIX)
#__muParser_dll___targetsuf3 = .$(SO_SUFFIX)
COND_USE_SOVERLINUX_1___muParser_dll___soname_flags = \
	$(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
__muParser_dll___soname_flags = $(COND_USE_SOVERLINUX_1___muParser_dll___soname_flags)
COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags = \
	$(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
#__muParser_dll___soname_flags = $(COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd = (cd \
	$(top_builddir)/lib/; rm -f \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX))
__muParser_dll___so_symlinks_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd = rm -f \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
__muParser_dll___so_symlinks_inst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd = rm -f \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
__muParser_dll___so_symlinks_uninst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd)
#__muParser_dll___macver = \
#	-compatibility_version 1 -current_version 1
__example1___depname = \
	$(top_builddir)/samples/example1/example1$(EXEEXT)
#__example1___mac_setfilecmd = \
#	$(SETFILE) -t APPL \
#	$(top_builddir)/samples/example1/example1$(EXEEXT)
#____SHARED = 
____SHARED = -DMUPARSER_DLL
#____SHARED_0 = 
____SHARED_0 = -DMUPARSERLIB_EXPORTS
____DEBUG = -DNDEBUG
#____DEBUG = 

### Targets: ###

all: $(__muParser_lib___depname) $(__muParser_dll___depname) $(__example1___depname)

install: all $(__install_muParser_lib___depname) $(__install_muParser_lib_headers___depname) $(__install_muParser_dll___depname) $(__install_muParser_dll_headers___depname)
	$(INSTALL_DIR) $(libdir)/pkgconfig
	$(INSTALL_DATA) build/autoconf/muparser.pc $(libdir)/pkgconfig

uninstall: $(__uninstall_muParser_lib___depname) $(__uninstall_muParser_lib_headers___depname) $(__uninstall_muParser_dll___depname) $(__uninstall_muParser_dll_headers___depname)

install-strip: install
	$(STRIP) $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)

clean: 
	rm -rf ./.deps ./.pch
	rm -f ./*.o
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
	rm -f $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
	rm -f $(top_builddir)/samples/example1/example1$(EXEEXT)

distclean: clean
	rm -f config.cache config.log config.status bk-deps bk-make-pch shared-ld-sh Makefile
	rm -f build/autoconf/muparser.pc

#$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT): $(MUPARSER_LIB_OBJECTS)
#	rm -f $@
#	$(AR) $(AROPTIONS) $@ $(MUPARSER_LIB_OBJECTS)
#	$(RANLIB) $@

#install_muParser_lib: 
#	$(INSTALL_DIR) $(DESTDIR)$(libdir)
#	$(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT) $(DESTDIR)$(libdir)

#uninstall_muParser_lib: 
#	rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)

#install_muParser_lib_headers: 
#	$(INSTALL_DIR) $(DESTDIR)$(prefix)
#	for f in $(MUPARSER_LIB_HEADERS); do \
#	if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
#	$(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
#	fi; \
#	$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
#	done

#uninstall_muParser_lib_headers: 
#	for f in $(MUPARSER_LIB_HEADERS); do \
#	rm -f $(DESTDIR)$(prefix)/$$f; \
#	done

$(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3): $(MUPARSER_DLL_OBJECTS)
	$(SHARED_LD_CXX) $@ $(MUPARSER_DLL_OBJECTS) $(LDFLAGS)  $(__muParser_dll___macinstnamecmd) $(__muParser_dll___importlib) $(__muParser_dll___soname_flags) $(__muParser_dll___macver)  $(LIBS)
	
	$(__muParser_dll___so_symlinks_cmd)

install_muParser_dll: 
	$(INSTALL_DIR) $(DESTDIR)$(libdir)
	$(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(DESTDIR)$(libdir)
	$(INSTALL_PROGRAM) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) $(DESTDIR)$(libdir)
	(cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_inst_cmd))

uninstall_muParser_dll: 
	rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
	rm -f $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
	(cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_uninst_cmd))

install_muParser_dll_headers: 
	$(INSTALL_DIR) $(DESTDIR)$(prefix)
	for f in $(MUPARSER_DLL_HEADERS); do \
	if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
	fi; \
	$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
	done

uninstall_muParser_dll_headers: 
	for f in $(MUPARSER_DLL_HEADERS); do \
	rm -f $(DESTDIR)$(prefix)/$$f; \
	done

$(top_builddir)/samples/example1/example1$(EXEEXT): $(EXAMPLE1_OBJECTS) $(__muParser_lib___depname)
	$(CXX) -o $@ $(EXAMPLE1_OBJECTS) -L$(top_builddir)/lib $(LDFLAGS)  -L$(srcdir)/lib  $(LIBS) -lmuparser$(DEBUG_BUILD_POSTFIX)
	
	$(__example1___mac_setfilecmd)

lib: $(__muParser_lib___depname) $(__muParser_dll___depname)

samples: $(__example1___depname)

documentation: 
	( cd $(srcdir)/docs && doxygen )

muParser_lib_muParserBytecode.o: $(srcdir)/src/muParserBytecode.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserBytecode.cpp

muParser_lib_muParserTest.o: $(srcdir)/src/muParserTest.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserTest.cpp

muParser_lib_muParser.o: $(srcdir)/src/muParser.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParser.cpp

muParser_lib_muParserDLL.o: $(srcdir)/src/muParserDLL.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserDLL.cpp

muParser_lib_muParserInt.o: $(srcdir)/src/muParserInt.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserInt.cpp

muParser_lib_muParserTokenReader.o: $(srcdir)/src/muParserTokenReader.cpp
