## muparser 1.32

=== debian/changelog ===
muparser (1.32-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.4
  * Add misc dependency
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 13 Apr 2010 22:09:31 +0200

muparser (1.30-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Bump standards version to 3.8.3, no changes needed
  * Remove patch 01_fix_ftbfs_gcc4.3.diff, not needed anymore
  * Remove quilt dependency, no patces.
  * Add Vcs fields for debian-science
  * Copy config.{sub,guess} to build/autoconf at build time (Closes: 536116)

  [ Andreas Tille ]
  * Group maintenance in Debian Science tesm, added myself as Uploader
  * debian/control: library package inherits section from source
  * debian/copyright: s/(C)/©/
  * mv debian/muparser.doc-base debian/libmuparser-doc.doc-base
    (doc-base works per binary package
  * debian/libmuparser-doc.doc-base:
    - Fixed Spacing
    - Section: Science/Mathematics (according doc-base manual section 2.3.3)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2009 21:33:02 +0100

muparser (1.28-3) unstable; urgency=low

  * Fix prefix in rules file. (Closes: #518470)
  * Bump Standards-Version to 3.8.0, no changes needed.
  * Bump compat/debhelper to 7.
  * Fix watch file.
  * Change from dh_clean -k to dh_prep.
  * Add version to Debian packaging license, GPL v2.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Mar 2009 11:00:05 +0100

muparser (1.28-2) unstable; urgency=low

  * Add a patch to fix compilation with gcc-4.3. (Closes: #455642)
  * Bump Standards-Version to 3.7.3.
  * Add a watch file.
  * Use Homepage field.
  * Bump compat/debhelper to 6.
  * Build with --as-needed linker flag.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 27 Jan 2008 22:59:01 +0100

muparser (1.28-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt patch system.
  * Replace deprecated Source-Version by binary:Version.
  * Add some configure options:
    * --enable-shared=yes
    * --enable-samples=no
    * --enable-debug=no

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 29 Jul 2007 15:23:14 +0200

muparser (1.27-1) unstable; urgency=low

  * Initial release (Closes: #408546)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 27 Dec 2006 17:13:11 +0100
