=== debian/control ===
Source: muparser
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://muparser.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/muparser/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/muparser/trunk
DM-Upload-Allowed: yes

Package: libmuparser-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmuparser0 (= ${binary:Version})
Description: fast mathematical expressions parse library (development)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the development files.

Package: libmuparser0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast mathematical expressions parser library (runtime)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the files necessary for running applications that use
 the muParser library.

Package: libmuparser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: fast mathematical expressions parser library (documentation)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the documentation for muParser.
