=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=0.0.0
major=0

config.status:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/autoconf/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/autoconf/config.guess
endif
	dh_testdir

	./configure \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--includedir="\$${prefix}/include/muParser" \
		--mandir="\$${prefix}/share/man" \
		--infodir="\$${prefix}/share/info" \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--libexecdir="\$${prefix}/lib/muparser" \
		--disable-maintainer-mode \
		--disable-dependency-tracking \
		--srcdir=. \
		--docdir="\$${prefix}/share/doc/libmuparser-doc" \
		--enable-shared=yes \
		--enable-samples=no \
		--enable-debug=no

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build/autoconf/config.*
	rm -f config.*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

	#Install docs
	mkdir -p debian/tmp/usr/share/doc/libmuparser-doc
	cp -a samples docs/html debian/tmp/usr/share/doc/libmuparser-doc

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes.txt
	dh_installdocs Credits.txt
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress --exclude=.cpp --exclude=.h --exclude=.resX
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
