=== debian/watch ===
version=3
http://sf.net/muparser/muparser_v(.*)\.tar\.gz
