## muparser 1.34

=== debian/changelog ===
muparser (1.34-2) unstable; urgency=low

  * Debian specefic SONAME libmuparser.so.0debian1 until upstream resets
    versions after next release (Closes: #606120)
    - Binary package renamed libmuparsers0debian1, and moved to optional
      priority
  * Moved to Vcs-Git
  * added myself (showard) to uploaders

 -- Scott Howard <showard@debian.org>  Thu, 21 Apr 2011 23:34:00 -0400

muparser (1.34-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 05 Dec 2010 13:13:16 +0100
