=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
- Andreas Tille <tille@debian.org>
+ Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://muparser.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/muparser/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/muparser/trunk
+Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/muparser.git
 DM-Upload-Allowed: yes
 
 Package: libmuparser-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmuparser0 (= ${binary:Version})
+Depends: ${misc:Depends}, libmuparser0debian1 (= ${binary:Version})
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
@@ -22,7 +22,8 @@
  .
  This package contains the development files.
 
-Package: libmuparser0
+Package: libmuparser0debian1
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: fast mathematical expressions parser library (runtime)
