## muparser 2.1.0

=== debian/changelog ===
muparser (2.1.0-2) experimental; urgency=low

  * Fix FTBFS on GNU/Hurd (Closes: #533817).
    debian/patches/FTBFS_hurd.patch

 -- Scott Howard <showard@debian.org>  Sun, 08 Jan 2012 17:55:15 -0500

muparser (2.1.0-1) experimental; urgency=low

  * New upstream release, updated debian/watch
    - soname reset to "2", previously it was "0" for all releases
  * Corrected include directory in pkgconfig file (LP: #418081)

 -- Scott Howard <showard@debian.org>  Mon, 19 Dec 2011 18:23:41 -0500
