=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), automake
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://muparser.sourceforge.net
 Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
@@ -14,7 +14,7 @@
 Package: libmuparser-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmuparser0debian1 (= ${binary:Version})
+Depends: ${misc:Depends}, libmuparser2 (= ${binary:Version})
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
@@ -22,7 +22,7 @@
  .
  This package contains the development files.
 
-Package: libmuparser0debian1
+Package: libmuparser2
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
