=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	bash build/autoconf/acregen.sh
	cp /usr/share/misc/config.sub build/autoconf
	cp /usr/share/misc/config.guess build/autoconf
	dh_auto_configure

get-orig-source:
	uscan --repack --rename --download-current-version
