## muparser 2.2.3

=== debian/changelog ===
muparser (2.2.3-3) unstable; urgency=low

  * Updated symbols
  * debian/patches/remove_google_tracking.patch, removes Google analytics
    tracking. Thanks lintian.
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Fri, 10 Jan 2014 23:03:01 -0500

muparser (2.2.3-2) unstable; urgency=low

  * Merge to unstable from experimental
  * Updated symbols

 -- Scott Howard <showard@debian.org>  Mon, 28 Jan 2013 22:02:02 -0500

muparser (2.2.3-1) experimental; urgency=low

  * New upstream release
  * Updated symbols file. None of the missing symbols are members of
    mu::Parser
  * Bumped to debhelper 9
  * Enabled Multi-arch

 -- Scott Howard <showard@debian.org>  Sat, 26 Jan 2013 23:47:51 -0500

muparser (2.1.0-3) unstable; urgency=low

  * Merge from experimental to unstable.
  * Added symbols file, using pkgkde-symbolshelper to manage c++
    symbols
  * D S-V 3.9.3, no changes

 -- Scott Howard <showard@debian.org>  Mon, 26 Mar 2012 16:19:32 -0400
