=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), automake
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), automake
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://muparser.sourceforge.net
 Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/muparser.git
-DM-Upload-Allowed: yes
 
 Package: libmuparser-dev
 Section: libdevel
@@ -25,7 +24,9 @@
 Package: libmuparser2
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: fast mathematical expressions parser library (runtime)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
