=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 %:
 	dh $@
 
@@ -11,5 +11,11 @@
 	cp /usr/share/misc/config.guess build/autoconf
 	dh_auto_configure
 
+override_dh_makeshlibs:
+	#pkgkde-symbols helper is managing the symbols file.
+	#Sometimes we'll FTBFS on other arch's toolchains that export or miss
+	#symbols found by the local arch.
+	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)
+
 get-orig-source:
 	uscan --repack --rename --download-current-version
