=== debian/watch ===
version=3
opts=uversionmangle=s/_/\./g \
http://sf.net/muparser/muparser_v(.*)\.zip
