=== debian/changelog ===
muparser (2.2.6.1+dfsg-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:14:08 +0800

muparser (2.2.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Scott Howard ]
  * Updated debian/watch

  [ Teemu Ikonen ]
  * New usptream release.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target
  * Drop myself from Uploaders
  * Remove binary files from upstream source
  * Deactivate symbols file - no idea why dpkg-gensymbols entertains to
    create a broken diff on a freshly created symbols file which
    is renamed to symbols.deactivated

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 19:33:09 +0100

muparser (2.2.3-6) unstable; urgency=medium

  * Merge to unstable
    - Revert SONAME
  * debian/copyright format changed to DEP-5
  * Updated debian/libmuparser2v5.symbols

 -- Scott Howard <showard@debian.org>  Sun, 23 Aug 2015 09:50:36 -0400

muparser (2.2.3-5) experimental; urgency=medium

  * Bump SONAME for GCC 5 transition
    - updated symbols file
  * DSV 3.9.6, no changes

 -- Scott Howard <showard@debian.org>  Tue, 11 Aug 2015 14:45:08 -0400

muparser (2.2.3-4) unstable; urgency=medium

  * Use debian/rules to clean out privacy breaches

 -- Scott Howard <showard@debian.org>  Sun, 29 Jun 2014 09:38:49 -0400
