=== debian/changelog ===
muparser (2.3.3-0.1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:14 +0200

muparser (2.3.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1000714)
  * Drop patches - no longer needed with upstream move to cmake.
  * Update debian/watch and Homepage in debian/control.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 12 Mar 2022 14:13:16 -0800
