=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: muparser
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
            Scott Howard <showard@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               automake
+Build-Depends: cmake,
+               debhelper (>= 12~)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/muparser
 Vcs-Git: https://salsa.debian.org/science-team/muparser.git
-Homepage: http://muparser.sourceforge.net
+Homepage: https://beltoforion.de/en/muparser/
 
 Package: libmuparser-dev
 Architecture: any
