=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/beltoforion/muparser/releases/latest .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
