## muparser 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # Bump versions on release
 set(MUPARSER_VERSION_MAJOR 2)
 set(MUPARSER_VERSION_MINOR 3)
-set(MUPARSER_VERSION_PATCH 3)
+set(MUPARSER_VERSION_PATCH 4)
 set(MUPARSER_VERSION ${MUPARSER_VERSION_MAJOR}.${MUPARSER_VERSION_MINOR}.${MUPARSER_VERSION_PATCH})
 
 # Build options
@@ -24,8 +24,6 @@
 
 if(ENABLE_OPENMP)
     find_package(OpenMP REQUIRED)
-    set(CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")
-    set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
 endif()
 
 # Credit: https://stackoverflow.com/questions/2368811/how-to-set-warning-level-in-cmake/3818084
@@ -67,6 +65,7 @@
 
 if(ENABLE_OPENMP)
   target_compile_definitions(muparser PRIVATE MUP_USE_OPENMP)
+  target_link_libraries(muparser PRIVATE OpenMP::OpenMP_CXX)
 endif()
 
 if(ENABLE_WIDE_CHAR)
@@ -110,6 +109,7 @@
     FILE "${CMAKE_BINARY_DIR}/muparser-targets.cmake"
     NAMESPACE muparser::
 )
+add_library(muparser::muparser ALIAS muparser)
 
 # Export the installed target (typically for packaging)
 include(CMakePackageConfigHelpers)
@@ -136,6 +136,9 @@
 
 # Define variables for the pkg-config file
 set(PACKAGE_NAME muparser)
+if(ENABLE_WIDE_CHAR)
+  set(PKG_CONFIG_FLAGS "-D_UNICODE")
+endif(ENABLE_WIDE_CHAR)
 configure_file(
     muparser.pc.in
     ${CMAKE_BINARY_DIR}/muparser.pc
