=== debian/changelog ===
muparser (2.3.4-2) unstable; urgency=medium

  * Team upload.
  * Bump CMake policy minimum version (Closes: #1113303)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Sep 2025 18:17:18 +0200

muparser (2.3.4-1) unstable; urgency=medium

  [ Nicholas Breen ]
  * Team upload.
  * New upstream release.
  * Update debian/watch (again!) to use api.github.com.
  * Bump Standards-Version to 4.6.2, no changes required.

  [ Debian Janitor ]
  * Apply multi-arch hints.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 24 Mar 2024 15:09:12 -0700
