=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: muparser
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
            Scott Howard <showard@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 12~)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/muparser
 Vcs-Git: https://salsa.debian.org/science-team/muparser.git
 Homepage: https://beltoforion.de/en/muparser/
@@ -17,6 +16,7 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libmuparser2v5 (= ${binary:Version})
+Multi-Arch: same
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
