=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SAVE_FILES = configure


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_makeshlibs:
	#pkgkde-symbols helper is managing the symbols file.
	#Sometimes we'll FTBFS on other arch's toolchains that export or miss
	#symbols found by the local arch.
	dh_makeshlibs -- -c0
