=== debian/watch ===
version=4

opts=searchmode=plain,\
filenamemangle=s~.+/([^/]+)/tarball/v(@ANY_VERSION@)~$1-$2.tar.gz~ \
  https://api.github.com/repos/beltoforion/muparser/releases https://api\.github\.com/repos/[^/]+/[^/]+/tarball/v([^"]+)
